Bug 603436 - amarok does not start since upgrading to kde-4.4.80
amarok does not start since upgrading to kde-4.4.80
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: amarok (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-4.5
  Show dependency treegraph
 
Reported: 2010-06-13 04:08 EDT by Kim Bisgaard
Modified: 2010-08-11 12:32 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-11 12:32:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kim Bisgaard 2010-06-13 04:08:06 EDT
Description of problem:
I cannot get amarok to start since upgrading to 4.4.80 (not with 4.4.85 
either).

It does not seem to be related to the dbus updates as I tried to downgrade.

I have tried switching Phonon backends, without success.

It could be because of a missing 'requires:', since it works for others in fc13.x86_64

Version-Release number of selected component (if applicable):
amarok-2.3.1-1.fc13.x86_64
dbus-1.2.24-1.fc13.1.x86_64
kdebase-runtime-4.4.85-1.fc13.x86_64


How reproducible:
always

Steps to Reproduce:
1. Start amarok
  
Actual results:
$ amarok --debug
QStringList 
Solid::Backends::KUPnP::KUPnPManager::findDeviceByDeviceInterface(Solid::DeviceInterface::Type)  
error:  "org.freedesktop.DBus.Error.ServiceUnknown"

QStringList 
Solid::Backends::KUPnP::KUPnPManager::findDeviceByDeviceInterface(Solid::DeviceInterface::Type)  
error:  "org.freedesktop.DBus.Error.ServiceUnknown"

QStringList 
Solid::Backends::KUPnP::KUPnPManager::findDeviceByDeviceInterface(Solid::DeviceInterface::Type)  
error:  "org.freedesktop.DBus.Error.ServiceUnknown"

virtual QStringList Solid::Backends::KUPnP::KUPnPManager::allDevices()  
error:  "org.freedesktop.DBus.Error.ServiceUnknown"

QStringList 
Solid::Backends::KUPnP::KUPnPManager::findDeviceByDeviceInterface(Solid::DeviceInterface::Type)  
error:  "org.freedesktop.DBus.Error.ServiceUnknown"

QStringList 
Solid::Backends::KUPnP::KUPnPManager::findDeviceByDeviceInterface(Solid::DeviceInterface::Type)  
error:  "org.freedesktop.DBus.Error.ServiceUnknown"

QStringList 
Solid::Backends::KUPnP::KUPnPManager::findDeviceByDeviceInterface(Solid::DeviceInterface::Type)  
error:  "org.freedesktop.DBus.Error.ServiceUnknown"

virtual QStringList Solid::Backends::KUPnP::KUPnPManager::allDevices()  
error:  "org.freedesktop.DBus.Error.ServiceUnknown"

QStringList 
Solid::Backends::KUPnP::KUPnPManager::findDeviceByDeviceInterface(Solid::DeviceInterface::Type)  
error:  "org.freedesktop.DBus.Error.ServiceUnknown"

QStringList 
Solid::Backends::KUPnP::KUPnPManager::findDeviceByDeviceInterface(Solid::DeviceInterface::Type)  
error:  "org.freedesktop.DBus.Error.ServiceUnknown"

QStringList 
Solid::Backends::KUPnP::KUPnPManager::findDeviceByDeviceInterface(Solid::DeviceInterface::Type)  
error:  "org.freedesktop.DBus.Error.ServiceUnknown"

virtual QStringList Solid::Backends::KUPnP::KUPnPManager::allDevices()  
error:  "org.freedesktop.DBus.Error.ServiceUnknown"

Calling appendChild() on a null node does nothing.
QGraphicsLinearLayout::removeAt: invalid index 1
<unknown program name>(14310)/: Communication problem with  "amarok" , 
it probably crashed.
Error message was:  "org.freedesktop.DBus.Error.NoReply" : " "Did not 
receive a reply. Possible causes include: the remote application did not 
send a reply, the message bus security policy blocked the reply, the 
reply timeout expired, or the network connection was broken." "


Additional info:
Comment 1 Kim Bisgaard 2010-06-18 16:15:39 EDT
Getting tiered of this situation I just deleted ~/.kde/share/apps/amarok - sorry! no way back (I should have renamed it) - amarok now starts - hurrah!!
Comment 2 Rex Dieter 2010-08-11 12:32:04 EDT
ok, I'd venture this may have been one of the "amarok hangs on next launch of there was an unclean shutdown and dynamic playlist was enabled", but at this point, we can probabaly not debug this further.

Note You need to log in before you can comment on or make changes to this bug.